QCA::InfoContext Class Reference
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::InfoContext:
[legend]

## Public Member Functions

| InfoContext (Provider *p)
virtual QStringList | supportedCipherTypes () const
virtual QStringList | supportedHashTypes () const
virtual QStringList | supportedMACTypes () const
Public Member Functions inherited from QCA::Provider::Context
virtual Context * | clone () const =0
Provider * | provider () const
bool | sameProvider (const Context *c) const
QString | type () const

## Additional Inherited Members

Protected Member Functions inherited from QCA::BasicContext
| BasicContext (const BasicContext &from)
| BasicContext (Provider *parent, const QString &type)
Protected Member Functions inherited from QCA::Provider::Context
| Context (const Context &from)
| Context (Provider *parent, const QString &type)

## Detailed Description

Extended provider information.

Note
  This class is part of the provider plugin interface and should not be used directly by applications.

## Constructor & Destructor Documentation

## InfoContext()

QCA::InfoContext::InfoContext | ( | Provider * | p | ) |

inline

Standard constructor.

Parameters

  p | the provider associated with this context

References QCA::BasicContext::BasicContext().

## Member Function Documentation

## supportedHashTypes()

virtual QStringList QCA::InfoContext::supportedHashTypes | ( |  | ) | const

virtual

The hash algorithms supported by the provider.

## supportedCipherTypes()

virtual QStringList QCA::InfoContext::supportedCipherTypes | ( |  | ) | const

virtual

The cipher algorithms supported by the provider.

## supportedMACTypes()

virtual QStringList QCA::InfoContext::supportedMACTypes | ( |  | ) | const

virtual

The mac algorithms supported by the provider.

The documentation for this class was generated from the following file:

- qcaprovider.h